Første iOS 14-jailbreak er allerede her for nogle iPhone- og iPad-modeller

Første iOS 14-jailbreak er allerede her for nogle iPhone- og iPad-modeller

23. september 2020 0 Af Mathias
  • iOS 14 rullede ud til offentligheden i sidste uge, men den første jailbreak er allerede tilgængelig.
  • Jailbreaks har været meget sværere at få med de seneste år, men checkra1n-værktøjet udnytter en udnyttelse på ældre iOS-enheder, der ikke kan patches.
  • For øjeblikket kan kun udvalgte iOS 14- og iPadOS 14-enheder jailbreakes ved hjælp af værktøjet, men flere enheder understøttes i de kommende uger og måneder.

Apples “walled garden” tilgang til sit mobile operativsystem kan være et tveægget sværd. På den ene side er iOS generelt langt mere stabil og sikker end Android og andre rivaler, da Apple regerer over App Store med en jernhånd, hvilket sikrer, at potentielt ondsindet software aldrig kommer videre til nogens telefoner eller tablets. På den anden side kvæler dette uundgåeligt kreativitet og begrænser de mange forskellige oplevelser, der er tilgængelige på iOS. Dette er grunden til, at jailbreaking var hele raseriet tidligt i iPhones levetid, men i de senere år er interessen faldet markant.

Ikke kun var iPhone- og iPad-ejere mindre interesserede i at jailbreaking af deres enheder, men Apple lagde en stor indsats for at gøre det stadig sværere for hackere at knække iOS. Scenen var næsten i dvale indtil slutningen af sidste år, da en opdagelig udnyttelse blev opdaget, og den deraf følgende jailbreak fungerer nu på iOS 14.

I denne uge meddelte holdet bag checkra1n, at en ny version af dets jailbreaking-værktøj er tilgængelig med support til udvalgte iOS 14-enheder. Her er hvad holdet havde at sige om den nye udgivelse:

I iOS 14 , Apple tilføjede en ny afbødning til SEPOS på A10 og derover (undtagen på Apple TV og iBridge): hvis enheden blev startet fra DFU-tilstand, og Secure Enclave modtager en anmodning om at dekryptere brugerdata, vil det få panik til enheden. Da checkm8 ikke giver os kontrol over Secure Enclave, er dette ikke trivielt at løse. Men med den for nylig offentliggjorte sorte sårbarhed er vi i stand til at få kontrol over Secure Enclave på A10 og A10X og deaktiver denne afhjælpning. Support til A10- og A10X-enheder arbejdes videre og forventes at være klar i de kommende uger.

Vi er endnu ikke sikre på, om det samme kan gøres for enheder med A11-chippen med denne sårbarhed, men vi frigiver en anden erklæring, når vi har fået mere at vide.

Dette er ret imponerende, i betragtning af at iOS 14 og iPadOS 14 blev rullet ud til offentligheden for mindre end en uge siden. Hvis du ejer en af følgende enheder med den nye opdatering installeret, kan du bruge checkra1n:

Læs også  Microsofts overfladetelefon har en funktion, som mange Android-håndsæt mangler
Artiklen forsætter under annoncen
  • iPhone 6s, 6s Plus og SE
  • iPad 5. generation
  • iPad Air 2
  • iPad mini 4
  • iPad Pro 1. generation
  • Apple TV 4 og 4K
  • iBridge T2

I de kommende uger planlægger holdet at tilføje support til iPhone 7, iPhone 7 Plus, 6. generation iPad, 7. generation iPad, iPod touch 7 og 2. generation iPad Pro. Der er også håb om, at iPhone 8, iPhone 8 Plus og iPhone X i sidste ende vil være kompatible med værktøjet, men de siger, at de vil adressere disse enheder “i en fremtidig erklæring.”